

{% include "modules/header.html" %}
<html>
 <section class="page-acceuil" id="page-acceuil">
    <div class="container">
         <div class="regform"><h1>SELECTION DE LA PERIODE</h1></div>
    <div class="main">
      <div>
      <!--la method post permet de passer les information vers la page défini
          en action avec la requête HTML-->
      <form method="post" action="{{ url_for('graph') }}">
            <h2 class="name" for="form_date">Du</h2>
            <!--id est utilisé pour le css, name est le nom de la variable
                retournée avec le formulaire quand le bouton est activé-->
            <input type="date" id="selectDate" name="date_debut"
                                         value= {{date_debut}}
                          min="2020-01-01" max="2020-12-31">
            <br>
            <h2 class="name" for="form_date">Au</h2>
            <!--id est utilisé pour le css, name est le nom de la variable
                retournée avec le formulaire quand le bouton est activé-->
            <input type="date" id="selectDate" name="date_fin"
                                         value= {{date_fin}}
                          min="2020-01-01" max="2020-12-31">

          <br>
              <!-- le bouton qui suit fait l'action du form -->
            <h2 class="name" for="form_date">Graphique</h2>
            <select class="graph_select" name="graph">
                    <option value="">--Analyses graphiques--</option>
                {% for graph in graphs %}
                    <option value="{{graph}}">{{graph}}</option>
                {% endfor %}
            </select>
        <button type="submit">Ok</button>
      </form>
    </div>
  </div>
</body>
</html>

